Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.text
Class XmlTemplateEngine

    java.lang.Object
      groovy.text.TemplateEngine
          groovy.text.XmlTemplateEngine

    public class XmlTemplateEngine

extends TemplateEngine

Template engine for xml data input.

Author:
  Christian Stein, Paul King

Field Summary
`static String` | `DEFAULT_INDENTATION`

Constructor Summary
`XmlTemplateEngine()`
`XmlTemplateEngine(String indentation, boolean validating)`
`XmlTemplateEngine(XmlParser xmlParser, ClassLoader parentLoader)`
`XmlTemplateEngine(XmlParser xmlParser, GroovyShell groovyShell)`

Method Summary
`Template` | `createTemplate(Reader reader)`
`String` | `getIndentation()`
`void` | `setIndentation(String indentation)`
`String` | `toString()`

Methods inherited from class groovy.text.TemplateEngine
`createTemplate, createTemplate, createTemplate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_INDENTATION

    public static final String DEFAULT_INDENTATION

See Also:
  Constant Field Values

Constructor Detail

### XmlTemplateEngine

    public XmlTemplateEngine()
                      throws SAXException,
                             ParserConfigurationException

Throws:
  `SAXException`
  `ParserConfigurationException`

### XmlTemplateEngine

    public XmlTemplateEngine(String indentation,
                             boolean validating)
                      throws SAXException,
                             ParserConfigurationException

Throws:
  `SAXException`
  `ParserConfigurationException`

### XmlTemplateEngine

    public XmlTemplateEngine(XmlParser xmlParser,
                             ClassLoader parentLoader)

### XmlTemplateEngine

    public XmlTemplateEngine(XmlParser xmlParser,
                             GroovyShell groovyShell)

Method Detail

### createTemplate

    public Template createTemplate(Reader reader)
                            throws CompilationFailedException,
                                   ClassNotFoundException,
                                   IOException

  Specified by:
    `createTemplate` in class `TemplateEngine`
  Throws:
    `CompilationFailedException`
    `ClassNotFoundException`
    `IOException`

### getIndentation

    public String getIndentation()

### setIndentation

    public void setIndentation(String indentation)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD